Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.mock
Class WsdlMockService

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.MockServiceConfig>
              com.eviware.soapui.impl.wsdl.mock.WsdlMockService

All Implemented Interfaces:
  MockService, ModelItem, PropertyChangeNotifier

    public class WsdlMockService

extends AbstractWsdlModelItem<com.eviware.soapui.config.MockServiceConfig>
implements MockService

A MockService for simulation WsdlInterfaces and their operations

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.mock.MockService
`PATH_PROPERTY, PORT_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlMockService(Project project, com.eviware.soapui.config.MockServiceConfig config)`

Method Summary
`void` | `addMockRunListener(MockRunListener listener)`
`void` | `addMockServiceListener(MockServiceListener listener)`
`WsdlMockOperation` | `addNewMockOperation(WsdlOperation operation)`
`protected void` | `fireMockOperationAdded(WsdlMockOperation mockOperation)`
`protected void` | `fireMockOperationRemoved(WsdlMockOperation mockOperation)`
`protected void` | `fireMockResponseAdded(WsdlMockResponse mockResponse)`
`protected void` | `fireMockResponseRemoved(WsdlMockResponse mockResponse)`
`javax.swing.ImageIcon` | `getIcon()`
`java.lang.String` | `getLocalEndpoint()`
`WsdlInterface[]` | `getMockedInterfaces()`
`WsdlMockOperation` | `getMockOperation(Operation operation)`
`WsdlMockOperation` | `getMockOperationAt(int index)`
`WsdlMockOperation` | `getMockOperationByName(java.lang.String name)`
`int` | `getMockOperationCount()`
`MockRunListener[]` | `getMockRunListeners()`
`WsdlMockRunner` | `getMockRunner()`
`java.lang.String` | `getPath()`
`int` | `getPort()`
`WsdlProject` | `getProject()`
`boolean` | `hasMockOperation(Operation operation)`
`boolean` | `isRequireSoapVersion()`
`void` | `onSave()`
`void` | `release()`
`void` | `removeMockOperation(WsdlMockOperation mockOperation)`
`void` | `removeMockRunListener(MockRunListener listener)`
`void` | `removeMockServiceListener(MockServiceListener listener)`
`void` | `setPath(java.lang.String path)`
`void` | `setPort(int port)`
`void` | `setRequireSoapVersion(boolean requireSoapVersion)`
`WsdlMockRunner` | `start()`
`WsdlMockRunner` | `start(WsdlTestRunContext context)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getName, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WsdlMockService

    public WsdlMockService(Project project,
                           com.eviware.soapui.config.MockServiceConfig config)

Method Detail

### addMockRunListener

    public void addMockRunListener(MockRunListener listener)

  Specified by:
    `addMockRunListener` in interface `MockService`

### getPath

    public java.lang.String getPath()

  Specified by:
    `getPath` in interface `MockService`

### getMockOperationAt

    public WsdlMockOperation getMockOperationAt(int index)

  Specified by:
    `getMockOperationAt` in interface `MockService`

### getMockOperationByName

    public WsdlMockOperation getMockOperationByName(java.lang.String name)

  Specified by:
    `getMockOperationByName` in interface `MockService`

### getMockOperationCount

    public int getMockOperationCount()

  Specified by:
    `getMockOperationCount` in interface `MockService`

### getProject

    public WsdlProject getProject()

  Specified by:
    `getProject` in interface `MockService`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `MockService`

### removeMockRunListener

    public void removeMockRunListener(MockRunListener listener)

  Specified by:
    `removeMockRunListener` in interface `MockService`

### start

    public WsdlMockRunner start(WsdlTestRunContext context)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getMockRunner

    public WsdlMockRunner getMockRunner()

### getMockOperation

    public WsdlMockOperation getMockOperation(Operation operation)

### addNewMockOperation

    public WsdlMockOperation addNewMockOperation(WsdlOperation operation)

### setPort

    public void setPort(int port)

### getMockedInterfaces

    public WsdlInterface[] getMockedInterfaces()

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.MockServiceConfig>`

### setPath

    public void setPath(java.lang.String path)

### getMockRunListeners

    public MockRunListener[] getMockRunListeners()

### removeMockOperation

    public void removeMockOperation(WsdlMockOperation mockOperation)

### addMockServiceListener

    public void addMockServiceListener(MockServiceListener listener)

  Specified by:
    `addMockServiceListener` in interface `MockService`

### removeMockServiceListener

    public void removeMockServiceListener(MockServiceListener listener)

  Specified by:
    `removeMockServiceListener` in interface `MockService`

### fireMockOperationAdded

    protected void fireMockOperationAdded(WsdlMockOperation mockOperation)

### fireMockOperationRemoved

    protected void fireMockOperationRemoved(WsdlMockOperation mockOperation)

### fireMockResponseAdded

    protected void fireMockResponseAdded(WsdlMockResponse mockResponse)

### fireMockResponseRemoved

    protected void fireMockResponseRemoved(WsdlMockResponse mockResponse)

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`
  Overrides:
    `getIcon` in class `AbstractWsdlModelItem<com.eviware.soapui.config.MockServiceConfig>`

### getLocalEndpoint

    public java.lang.String getLocalEndpoint()

### isRequireSoapVersion

    public boolean isRequireSoapVersion()

### setRequireSoapVersion

    public void setRequireSoapVersion(boolean requireSoapVersion)

### start

    public WsdlMockRunner start()
                         throws java.lang.Exception

  Specified by:
    `start` in interface `MockService`
  Throws:
    `java.lang.Exception`

### hasMockOperation

    public boolean hasMockOperation(Operation operation)

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.MockServiceConfig>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.